### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-checkbox/ecl-checkbox-input.directive.ts`

### Implements

`OnInit` `DoCheck`

### Metadata

Selector | `input[eclCheckboxInput]`

### Index

###### Properties
Public eclCheckbox
###### Inputs
styleClass
###### HostBindings
attr.type class

### Constructor

`constructor(eclCheckbox: EclCheckboxDirective, eclFormGroup: EclFormGroupComponent, ngControl: NgControl, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
eclCheckbox | `EclCheckboxDirective` | No
eclFormGroup | `EclFormGroupComponent` | No
ngControl | `NgControl` | No
cd | `ChangeDetectorRef` | No

### Inputs

styleClass
Type : `string`

### HostBindings

attr.type
Type : `string`
Default value : `'checkbox'`

class
Type : `any`

### Properties

Public eclCheckbox
Type : `EclCheckboxDirective`
Decorators : `@Inject(undefined)`

# result-matching ""

# No results matching ""